> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /finviz/screener

> Screen stocks by exchange, index, sector, market cap, recommendation, dividend yield, and price

**Price:** 10 credits per 20 results



## OpenAPI

````yaml /openapi/finance-markets.json post /api/finviz/screener
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/finviz/screener:
    post:
      tags:
        - /finviz
      summary: /finviz/screener
      description: >-
        Screen stocks by exchange, index, sector, market cap, recommendation,
        dividend yield, and price


        **Price:** 10 credits per 20 results
      operationId: __api_finviz_screener_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FinvizScreenerPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FinvizScreenerStock'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FinvizScreenerPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        exchange:
          anyOf:
            - $ref: '#/components/schemas/FinvizExchange'
            - type: 'null'
        index:
          anyOf:
            - $ref: '#/components/schemas/FinvizIndex'
            - type: 'null'
        sector:
          anyOf:
            - $ref: '#/components/schemas/FinvizSector'
            - type: 'null'
        market_cap:
          anyOf:
            - $ref: '#/components/schemas/FinvizMarketCap'
            - type: 'null'
        recommendation:
          anyOf:
            - $ref: '#/components/schemas/FinvizRecommendation'
            - type: 'null'
        dividend_yield:
          anyOf:
            - $ref: '#/components/schemas/FinvizDividendYield'
            - type: 'null'
        price:
          anyOf:
            - $ref: '#/components/schemas/FinvizPrice'
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    FinvizScreenerStock:
      properties:
        '@type':
          type: string
          default: FinvizScreenerStock
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        sector:
          anyOf:
            - type: string
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        exchange:
          anyOf:
            - type: string
            - type: 'null'
        index:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        prev_close:
          anyOf:
            - type: number
            - type: 'null'
        open:
          anyOf:
            - type: number
            - type: 'null'
        high:
          anyOf:
            - type: number
            - type: 'null'
        low:
          anyOf:
            - type: number
            - type: 'null'
        change_percent:
          anyOf:
            - type: number
            - type: 'null'
        target_price:
          anyOf:
            - type: number
            - type: 'null'
        market_cap:
          anyOf:
            - type: number
            - type: 'null'
        enterprise_value:
          anyOf:
            - type: number
            - type: 'null'
        income:
          anyOf:
            - type: number
            - type: 'null'
        sales:
          anyOf:
            - type: number
            - type: 'null'
        pe:
          anyOf:
            - type: number
            - type: 'null'
        forward_pe:
          anyOf:
            - type: number
            - type: 'null'
        peg:
          anyOf:
            - type: number
            - type: 'null'
        ps:
          anyOf:
            - type: number
            - type: 'null'
        pb:
          anyOf:
            - type: number
            - type: 'null'
        pc:
          anyOf:
            - type: number
            - type: 'null'
        pfcf:
          anyOf:
            - type: number
            - type: 'null'
        ev_ebitda:
          anyOf:
            - type: number
            - type: 'null'
        ev_sales:
          anyOf:
            - type: number
            - type: 'null'
        book_per_share:
          anyOf:
            - type: number
            - type: 'null'
        cash_per_share:
          anyOf:
            - type: number
            - type: 'null'
        dividend_ttm:
          anyOf:
            - type: number
            - type: 'null'
        dividend_est:
          anyOf:
            - type: number
            - type: 'null'
        dividend_est_yield_percent:
          anyOf:
            - type: number
            - type: 'null'
        dividend_ex_date:
          anyOf:
            - type: string
            - type: 'null'
        dividend_growth_1y_percent:
          anyOf:
            - type: number
            - type: 'null'
        dividend_growth_3y_percent:
          anyOf:
            - type: number
            - type: 'null'
        dividend_growth_5y_percent:
          anyOf:
            - type: number
            - type: 'null'
        payout_percent:
          anyOf:
            - type: number
            - type: 'null'
        eps_ttm:
          anyOf:
            - type: number
            - type: 'null'
        eps_next_q:
          anyOf:
            - type: number
            - type: 'null'
        eps_this_y_percent:
          anyOf:
            - type: number
            - type: 'null'
        eps_next_y_percent:
          anyOf:
            - type: number
            - type: 'null'
        eps_past_3y_percent:
          anyOf:
            - type: number
            - type: 'null'
        eps_past_5y_percent:
          anyOf:
            - type: number
            - type: 'null'
        eps_next_5y_percent:
          anyOf:
            - type: number
            - type: 'null'
        eps_qoq_percent:
          anyOf:
            - type: number
            - type: 'null'
        eps_yoy_ttm_percent:
          anyOf:
            - type: number
            - type: 'null'
        eps_surprise_percent:
          anyOf:
            - type: number
            - type: 'null'
        sales_past_3y_percent:
          anyOf:
            - type: number
            - type: 'null'
        sales_past_5y_percent:
          anyOf:
            - type: number
            - type: 'null'
        sales_qoq_percent:
          anyOf:
            - type: number
            - type: 'null'
        sales_yoy_ttm_percent:
          anyOf:
            - type: number
            - type: 'null'
        sales_surprise_percent:
          anyOf:
            - type: number
            - type: 'null'
        shares_outstanding:
          anyOf:
            - type: number
            - type: 'null'
        shares_float:
          anyOf:
            - type: number
            - type: 'null'
        float_percent:
          anyOf:
            - type: number
            - type: 'null'
        insider_own_percent:
          anyOf:
            - type: number
            - type: 'null'
        insider_trans_percent:
          anyOf:
            - type: number
            - type: 'null'
        inst_own_percent:
          anyOf:
            - type: number
            - type: 'null'
        inst_trans_percent:
          anyOf:
            - type: number
            - type: 'null'
        short_float_percent:
          anyOf:
            - type: number
            - type: 'null'
        short_ratio:
          anyOf:
            - type: number
            - type: 'null'
        short_interest:
          anyOf:
            - type: number
            - type: 'null'
        roa_percent:
          anyOf:
            - type: number
            - type: 'null'
        roe_percent:
          anyOf:
            - type: number
            - type: 'null'
        roic_percent:
          anyOf:
            - type: number
            - type: 'null'
        current_ratio:
          anyOf:
            - type: number
            - type: 'null'
        quick_ratio:
          anyOf:
            - type: number
            - type: 'null'
        debt_eq:
          anyOf:
            - type: number
            - type: 'null'
        lt_debt_eq:
          anyOf:
            - type: number
            - type: 'null'
        gross_margin_percent:
          anyOf:
            - type: number
            - type: 'null'
        operating_margin_percent:
          anyOf:
            - type: number
            - type: 'null'
        profit_margin_percent:
          anyOf:
            - type: number
            - type: 'null'
        perf_week_percent:
          anyOf:
            - type: number
            - type: 'null'
        perf_month_percent:
          anyOf:
            - type: number
            - type: 'null'
        perf_quarter_percent:
          anyOf:
            - type: number
            - type: 'null'
        perf_half_year_percent:
          anyOf:
            - type: number
            - type: 'null'
        perf_year_percent:
          anyOf:
            - type: number
            - type: 'null'
        perf_ytd_percent:
          anyOf:
            - type: number
            - type: 'null'
        perf_3y_percent:
          anyOf:
            - type: number
            - type: 'null'
        perf_5y_percent:
          anyOf:
            - type: number
            - type: 'null'
        perf_10y_percent:
          anyOf:
            - type: number
            - type: 'null'
        beta:
          anyOf:
            - type: number
            - type: 'null'
        atr:
          anyOf:
            - type: number
            - type: 'null'
        rsi:
          anyOf:
            - type: number
            - type: 'null'
        volatility_week_percent:
          anyOf:
            - type: number
            - type: 'null'
        volatility_month_percent:
          anyOf:
            - type: number
            - type: 'null'
        sma20_percent:
          anyOf:
            - type: number
            - type: 'null'
        sma50_percent:
          anyOf:
            - type: number
            - type: 'null'
        sma200_percent:
          anyOf:
            - type: number
            - type: 'null'
        high_50d_percent:
          anyOf:
            - type: number
            - type: 'null'
        low_50d_percent:
          anyOf:
            - type: number
            - type: 'null'
        high_52w_percent:
          anyOf:
            - type: number
            - type: 'null'
        low_52w_percent:
          anyOf:
            - type: number
            - type: 'null'
        all_time_high_percent:
          anyOf:
            - type: number
            - type: 'null'
        all_time_low_percent:
          anyOf:
            - type: number
            - type: 'null'
        change_from_open_percent:
          anyOf:
            - type: number
            - type: 'null'
        gap_percent:
          anyOf:
            - type: number
            - type: 'null'
        recommendation:
          anyOf:
            - type: number
            - type: 'null'
        avg_volume:
          anyOf:
            - type: number
            - type: 'null'
        rel_volume:
          anyOf:
            - type: number
            - type: 'null'
        volume:
          anyOf:
            - type: integer
            - type: 'null'
        employee_count:
          anyOf:
            - type: integer
            - type: 'null'
        earnings:
          anyOf:
            - type: string
            - type: 'null'
        ipo_date:
          anyOf:
            - type: string
            - type: 'null'
        asset_type:
          anyOf:
            - type: string
            - type: 'null'
        holdings_count:
          anyOf:
            - type: integer
            - type: 'null'
        aum:
          anyOf:
            - type: number
            - type: 'null'
        expense_percent:
          anyOf:
            - type: number
            - type: 'null'
        flows_1m:
          anyOf:
            - type: number
            - type: 'null'
        flows_1m_percent:
          anyOf:
            - type: number
            - type: 'null'
        flows_3m:
          anyOf:
            - type: number
            - type: 'null'
        flows_3m_percent:
          anyOf:
            - type: number
            - type: 'null'
        flows_ytd:
          anyOf:
            - type: number
            - type: 'null'
        flows_ytd_percent:
          anyOf:
            - type: number
            - type: 'null'
        return_1y_percent:
          anyOf:
            - type: number
            - type: 'null'
        return_3y_percent:
          anyOf:
            - type: number
            - type: 'null'
        return_5y_percent:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    FinvizExchange:
      type: string
      enum:
        - amex
        - cboe
        - nasd
        - nyse
    FinvizIndex:
      type: string
      enum:
        - sp500
        - ndx
        - dji
        - rut
    FinvizSector:
      type: string
      enum:
        - basicmaterials
        - communicationservices
        - consumercyclical
        - consumerdefensive
        - energy
        - financial
        - healthcare
        - industrials
        - realestate
        - technology
        - utilities
    FinvizMarketCap:
      type: string
      enum:
        - mega
        - large
        - mid
        - small
        - micro
        - nano
    FinvizRecommendation:
      type: string
      enum:
        - strong_buy
        - buy
        - hold
        - sell
        - strong_sell
    FinvizDividendYield:
      type: string
      enum:
        - none
        - positive
        - high
        - very_high
        - over_1
        - over_2
        - over_3
        - over_5
    FinvizPrice:
      type: string
      enum:
        - under_5
        - under_10
        - under_20
        - under_50
        - over_5
        - over_10
        - over_20
        - over_50
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````